Nogle hotfixes, der udkom før SP1 (Service Pack 1), overføres ikke til SP1-versionen, når du opdaterer computeren til Windows XP SP1

Oversættelser af artikler Oversættelser af artikler
Artikel-id: 887822 - Få vist de produkter, som denne artikel refererer til.
Udvid alle | Skjul alle

Symptomer

Når du opdaterer din Microsoft Windows XP-baserede computer til Windows XP SP1 (Service Pack 1), bliver nogle af de hotfixes, der blev installeret på computeren før SP1, måske ikke overført korrekt fra udgivelsesversionen af Windows XP SP1-versionen.

Bemærk!
  • Når du installerer et hotfix, der kom før Windows XP SP1, på en Windows XP-baserede computer, bliver en SP1-version af dette hotfix også kopieret til computeren og skal bruges, når du opdaterer computeren til Windows XP SP1. Når du opdaterer computeren til Windows XP SP1, installeres SP1-versionen af hotfixet automatisk.

    Yderligere oplysninger om denne automatiske proces finder du ved at klikke på nedenstående artikelnummer for at få vist artiklen i Microsoft Knowledge Base:
    328848 Beskrivelse af opdateringspakker med to tilstande til Windows XP. Artiklen er evt. på engelsk.
  • Du kan kontrollere, om et hotfix er overført til Windows XP SP1-niveau, ved at gennemse filen Xpsp1hfm.log i mappen Windows.
  • Problemet opstår ikke, når du opdaterer til Windows XP Service Pack 2 (SP2) i et af følgende tilfælde:
    • Du opdaterer fra udgivelsesversionen af Windows XP uden installerede hotfixes.
    • Du opdaterer fra Windows XP SP1 med hotfixes, der er kommet før Windows XP SP2.
  • Når du har opdateret computeren til Windows XP SP1, kan nogle af de hotfixes, der kom før SP1, ikke installeres. Du kan få vist en fejlmeddelelse som denne:
    Der opstod en fejl i installationsprogrammet: Filer fra pakken er ikke kompatible med filerne på systemet.
    Denne fejlmeddelelse angives i logfilen til opdateringen, f.eks. KBxxxxxx.log. Programmet Windows Installer returnerer også den udvidede fejlkode 0xf0f1.

Årsag

Problemet skyldes filen Branches.inf. Filen Branches.inf hjælper programmet Windows Installer med at identificere, hvilken version af et bestemt hotfix der skal installeres.

Problemet opstår, hvis følgende hotfixes installeres:
841356 MS04-037: Svaghed i Windows shell kan tillade fjernkørsel af programkode
840987 MS04-032: Sikkerhedsopdatering til Microsoft Windows
824151 MS04-030: Svaghed i WebDAV XML-meddelelseshandler kan medføre nægtet adgang til tjeneste

Løsning

Du kan løse problemet ved at bruge en af følgende metoder, når du opdaterer din Windows XP-baserede computer:

Status

Microsoft har bekræftet, at dette problem forekommer i de Microsoft-produkter, der er angivet i afsnittet "Gælder for".

Yderligere Information

Yderligere oplysninger finder du ved at klikke på nedenstående artikelnummer for at få vist artiklen i Microsoft Knowledge Base:
824684 Beskrivelse af den standardterminologi, der bruges til at beskrive Microsoft-softwareopdateringer

Egenskaber

Artikel-id: 887822 - Seneste redigering: 29. maj 2006 - Redigering: 2.1
Oplysningerne i denne artikel gælder:
  • Microsoft Windows XP Professional
  • Microsoft Windows XP Home Edition
Nøgleord: 
kbwinxppresp3fix kbwinxpsp3fix kbqfe kbfix kbbug KB887822

Send feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com